## klick 0.12.2

=== SConstruct ===
# -*- python -*-

import os

version = '0.12.2'

env = Environment(
    CPPDEFINES = [
        ('VERSION', '\\"%s\\"' % version),
    ],
    ENV = os.environ,
)

# build options
opts = Options('scache.conf')
opts.AddOptions(
    PathOption('PREFIX', 'install prefix', '/usr/local'),
    PathOption('DESTDIR', 'intermediate install prefix', '', PathOption.PathAccept),
    BoolOption('DEBUG', 'debug mode', False),
    BoolOption('OSC', 'OSC support', True),
    BoolOption('TERMINAL', 'terminal control support', True),
    BoolOption('RUBBERBAND', 'use Rubber Band for pitch shifting', False),
)
opts.Update(env)
opts.Save('scache.conf', env)
Help(opts.GenerateHelpText(env))

if env['DEBUG']:
    env.Append(CCFLAGS = ['-g', '-W', '-Wall'])
else:
    env.Append(CCFLAGS = ['-O2', '-W', '-Wall'])
    env.Prepend(CPPDEFINES = 'NDEBUG')

# install paths
prefix_bin = os.path.join(env['PREFIX'], 'bin')
prefix_share = os.path.join(env['PREFIX'], 'share/klick')

env.Append(CPPDEFINES = ('DATA_DIR', '\\"%s\\"' % prefix_share))

# required libraries
env.ParseConfig(
    'pkg-config --cflags --libs jack samplerate sndfile'
)
if os.system('pkg-config --atleast-version=1.0.18 sndfile') == 0:
    env.Append(CPPDEFINES = ['HAVE_SNDFILE_OGG'])

# source files
sources = [
    'src/main.cc',
    'src/klick.cc',
    'src/options.cc',
    'src/audio_interface.cc',
    'src/audio_interface_jack.cc',
    'src/audio_interface_sndfile.cc',
    'src/audio_chunk.cc',
    'src/tempomap.cc',
    'src/metronome.cc',
    'src/metronome_simple.cc',
    'src/metronome_map.cc',
    'src/metronome_jack.cc',
    'src/position.cc',
    'src/util/util.cc'
]

# audio samples
samples = [
    'samples/square_emphasis.wav',
    'samples/square_normal.wav',
    'samples/sine_emphasis.wav',
    'samples/sine_normal.wav',
    'samples/noise_emphasis.wav',
    'samples/noise_normal.wav',
    'samples/click_emphasis.wav',
    'samples/click_normal.wav',
]

# build options
if env['OSC']:
    env.ParseConfig('pkg-config --cflags --libs liblo')
    env.Append(CPPDEFINES = ['ENABLE_OSC'])
    sources += [
        'src/osc_interface.cc',
        'src/osc_handler.cc',
    ]

if env['TERMINAL']:
    env.Append(CPPDEFINES = ['ENABLE_TERMINAL'])
    sources += [
        'src/terminal_handler.cc',
    ]

if env['RUBBERBAND']:
    env.ParseConfig('pkg-config --cflags --libs rubberband')
    env.Append(CPPDEFINES = ['ENABLE_RUBBERBAND'])

env.Program('klick', sources)
Default('klick')

# installation
env.Alias('install', [
    env.Install(env['DESTDIR'] + prefix_bin, 'klick'),
    env.Install(env['DESTDIR'] + os.path.join(prefix_share, 'samples'), samples)
])

=== debian/changelog ===
klick (0.12.2-5) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * Use debhelper-compat instead of debian/compat

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Olivier Humbert ]
  * Add a French manpage

 -- Bastian Germann <bage@debian.org>  Sun, 24 Sep 2023 16:25:21 +0200

klick (0.12.2-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with scons 3.1. Closes: #947666.

 -- Matthias Klose <doko@debian.org>  Thu, 18 Jun 2020 12:06:34 +0200

klick (0.12.2-4) unstable; urgency=medium

  * Set dh 10.
  * Update copyright file.
  * Sign tags.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 22 Dec 2016 22:02:29 +0100

klick (0.12.2-3) unstable; urgency=medium

  * Bump Standards.
  * Fix VCS fields.
  * Fix some hardening.
  * Add patch to fix FTBFS with gcc-6 (Closes: #812034).

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 11 Jul 2016 23:35:56 +0200

klick (0.12.2-2) unstable; urgency=low

  [ Alessio Treglia ]
  * Add gbp config file.
  * Update my mail address.
  * Bump Standards.
  * Enable debug build.

  [ Jaromír Mikeš ]
  * Set dh/compat 9
  * Removed DMUA.
  * Fix VCS canonical URLs.
  * Added local-options file
  * Added .gitignore file.
  * Update copyright file.
  * Switch to 3.0 format.
  * Added patch to fix hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 08 Aug 2013 16:10:57 +0200

klick (0.12.2-1) unstable; urgency=low

  * Initial release (Closes: #579165).

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 25 Apr 2010 16:25:37 +0200

=== debian/control ===
Source: klick
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper-compat (= 10),
 scons,
 libboost-dev,
 libjack-dev,
 libsndfile1-dev (>= 1.0.18),
 libsamplerate0-dev,
 liblo-dev,
 librubberband-dev
Standards-Version: 3.9.8
Vcs-Git: https://salsa.debian.org/multimedia-team/klick.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/klick
Homepage: http://das.nasophon.de/klick/

Package: klick
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Suggests: gtklick
Description: advanced metronome for JACK
 klick is an advanced command-line based metronome using the JACK sound server.
 It allows you to define complex tempo maps for entire songs or performances.
 .
 A single meter and tempo can be specified on the command line, while more
 complex tempo maps can be read from plain text files.
 Alternatively, it's also possible to run klick in interactive mode,
 where the tempo can be changed at runtime using the keyboard,
 or to follow tempo information read from JACK transport.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
export CPPFLAGS += -std=c++11

SCONS = scons --warn=no-deprecated

%:
	dh $@

override_dh_auto_build:
	$(SCONS) PREFIX=/usr RUBBERBAND=True DEBUG=True

override_dh_auto_clean:
	[ ! $(DEB_MAINTAINER_MODE) -ne 1 ] || $(SCONS) -c
	rm -f .sconsign.dblite scache.conf .sconf_temp

override_dh_auto_install:
	$(SCONS) install DESTDIR=$(CURDIR)/debian/klick

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=3
http://das.nasophon.de/download/klick-([\d]+\.[\d]+(?:\.[\d]+|)).tar.gz
